Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.validators.impl
Class KmehrValidatorImpl

    java.lang.Object
      be.ehealth.businessconnector.recipe.validators.impl.KmehrValidatorImpl

All Implemented Interfaces:
  KmehrValidator

Deprecated.

    @Deprecated
    public class KmehrValidatorImpl

extends Object
implements KmehrValidator

Implementation of `KmehrValidator`

Field Summary
`static String` | `W3C_XML_SCHEMA_NS_URI` Deprecated. The Constant W3C_XML_SCHEMA_NS_URI.

Constructor Summary
`KmehrValidatorImpl()` Deprecated.

Method Summary
`void` | `assertValidFeedback(byte[] xmlDocument)` Deprecated. Assert valid feedback.
`boolean` | `validateKmehrPrescription(byte[] xmlDocument, String prescriptionType)` Deprecated. Valid xml.
`boolean` | `validateNotification(byte[] xmlDocument)` Deprecated. Validate notification.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### W3C_XML_SCHEMA_NS_URI

    public static final String W3C_XML_SCHEMA_NS_URI

  Deprecated.
  The Constant W3C_XML_SCHEMA_NS_URI.

  See Also:
    Constant Field Values

Constructor Detail

### KmehrValidatorImpl

    public KmehrValidatorImpl()
                       throws RecipeBusinessConnectorException

  Deprecated.
  Throws:
    `RecipeBusinessConnectorException`

Method Detail

### validateNotification

    public final boolean validateNotification(byte[] xmlDocument)
                                       throws RecipeBusinessConnectorException

  Deprecated.
  Validate notification.

  Specified by:
    `validateNotification` in interface `KmehrValidator`
  Parameters:
    `xmlDocument` - the xml document
  Returns:
    true, if successful
  Throws:
    `RecipeBusinessConnectorException` - the business connector exception

### assertValidFeedback

    public final void assertValidFeedback(byte[] xmlDocument)
                                   throws RecipeBusinessConnectorException

  Deprecated.
  Assert valid feedback.

  Parameters:
    `xmlDocument` - the xml document
  Throws:
    `RecipeBusinessConnectorException` - the business connector exception

### validateKmehrPrescription

    public final boolean validateKmehrPrescription(byte[] xmlDocument,
                                                   String prescriptionType)
                                            throws RecipeBusinessConnectorException

  Deprecated.
  Valid xml.

  Specified by:
    `validateKmehrPrescription` in interface `KmehrValidator`
  Parameters:
    `xmlDocument` - the xml document
    `prescriptionType` - the prescription type
  Returns:
    true, if successful
  Throws:
    `RecipeBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.